Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTCamHandler Class Reference

`#include <GTCamHandler.h>`

Inheritance diagram for GTCamHandler:

[legend]
Collaboration diagram for GTCamHandler:

[legend]
List of all members.

## Public Member Functions
| GTCamHandler ()
| Constructor.
| ~GTCamHandler ()
void | initGTCamHandler (GTCamWorldState *myState, GTCamTimeSyncHandler *myHandler)
| Init the handler.
virtual void | onReceive (void *data, int size)
| Receive data.
## Private Attributes
GTCamWorldState * | state
GTCamTimeSyncHandler * | timeSyncHandler
int | packageCounter

## Constructor & Destructor Documentation

GTCamHandler::GTCamHandler | ( |  | ) |

| Constructor. Definition at line 19 of file GTCamHandler.cpp.

GTCamHandler::~GTCamHandler | ( |  | ) | `[inline]`

| Definition at line 18 of file GTCamHandler.h.

## Member Function Documentation

void GTCamHandler::initGTCamHandler | ( | GTCamWorldState * | myState,
|  | GTCamTimeSyncHandler * | myHandler
| ) |

| Init the handler. Definition at line 29 of file GTCamHandler.cpp. References UDPEndpoint::bind(), InStream< InFile, InConfig >::eof(), InFile::exists(), GTCAMPORT, GTCAMSYNCPORT, packageCounter, state, and timeSyncHandler.

Here is the call graph for this function:

void GTCamHandler::onReceive | ( | void * | data,
|  | int | size
| ) | `[virtual]`

| Receive data. Reimplemented from UDPEndpoint. Definition at line 83 of file GTCamHandler.cpp. References GTCamWorldState::camWorldstate, GTCamWorldState::frameNumber, GTCamTimeSyncHandler::frameOffset, GTCamWorldState::getTimestamp(), GTCamTimeSyncHandler::offset, packageCounter, GTCamWorldState::setTimestamp(), GTCamTimeSyncHandler::startTimeSync(), state, GTCamTimeSyncHandler::timeServer, and timeSyncHandler.

Here is the call graph for this function:

## Member Data Documentation

GTCamWorldState* GTCamHandler::state`[private]`

| Definition at line 23 of file GTCamHandler.h. Referenced by initGTCamHandler(), and onReceive().

GTCamTimeSyncHandler* GTCamHandler::timeSyncHandler`[private]`

| Definition at line 24 of file GTCamHandler.h. Referenced by initGTCamHandler(), and onReceive().

int GTCamHandler::packageCounter`[private]`

| Definition at line 31 of file GTCamHandler.h. Referenced by initGTCamHandler(), and onReceive().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/GTCamHandler.h
- Platform/Aperios1.3.2/GTCamHandler.cpp